# UOF - FAQ

This section will list some frequently asked questions and answers.

* Q1: Why am I not getting any odds\_change messages, after I connect?
* Q2: Why do I receive multiple updates to markets with the same id in the odds\_change message?
* Q3: Why am I not receiving the final score/result of a match (match\_result)?
* Q4: Why do I sometimes receive a bet\_cancel message instead of a bet\_settlement message with void factor?
* Q5: If I initiate a recovery after timestamp, are the fixture changes that were sent out after the timestamp also sent as part of the recovery?
* Q6: If I have the pre-match and live package enabled, and a template for sport X set in Ctrl, and oddskey configured in Betradar.com. Is it normal to receive fixture changes from the Live Odds producer?
* Q7: Is the replay server accessible with an integration token during the weekends?
* Q8: I am receiving odds\_change messages from the Live Odds producer before the handover message from pre-match, is this normal?

**Q1: Why am I not getting any** [**odds\_change**](/uof/data-and-features/messages/event/odds-change.md) **messages, after I connect?**

**Answer**: If this is the first time you connect or if you have not been disconnected, you first need to initiate a recovery sequence over the API, to start the odds message subscription. The SDK handles this recovery automatically for you if you are using it.

**Q2: Why do I receive multiple updates to markets with the same id in the odds\_change message?**

**Answer**: A market is uniquely defined by its *id* AND *specifiers*. Many markets have multiple lines, and the Betradar system provides odds updates for multiple lines in the same odds-update (e.g. the totals markets). More details on markets and specifiers may be found in the [key concept](/uof/introduction/key-concepts.md) section.

**Q3: Why am I not receiving the final score/result of a match (match\_result)?**

**Answer**: The final score (match\_result) is not available through the prematch (CTRL) producer, and is only available within the last odds\_change message from the Live Odds [producer](/uof/introduction/key-concepts/producers.md). To receive the result, you will need to have booked the match **and** be subscribed to the Live Odds producer (and the match has to be covered). If these criteria are not met, you will need to pull the match\_result though the API. This can be done using the summary.xml endpoint.

![](/files/5umHRYf5Mtns1hEtVxnl)

XML example of returned result

```xml
<match_summary
<sport_event_status status="4" home_score="2" away_score="2" status_code="4">
    <period_scores>
        <period_score home_score="2" away_score="2" type="regular_period" number="1"/>
        <period_score home_score="0" away_score="0" type="regular_period" number="2"/>
    </period_scores>
</sport_event_status>
<coverage_info level="bronze" live_coverage="false">
    <coverage includes="basic_score"/>
</coverage_info>
</match_summary>
```

**Q4: Why do I sometimes receive a bet\_cancel message instead of a bet\_settlement message with void factor?**

A bet\_cancel message is sent when we can’t settle a market as voided for the whole time frame. As an example; a producer offers a market in error on an event, but then a live producer correctly offers the market. This means that the first producers can’t send a bet\_settlement with the market voided.

**Q5: If I initiate a recovery after timestamp, are the fixture changes that were sent out after the timestamp also sent as part of the recovery?**

No, even though the fixtures changes are a high priority message, they are always obtained from the API. As such, all old \<fixture\_change> massages would be irrelevant.

For this use case, please follow the [documented recovery sequence](/uof/error-handling/recovery-using-api.md).

**Q6: If I have the pre-match and live package enabled, and a template for sport X set in Ctrl, and oddskey configured in** [**Betradar.com**](http://betradar.com/)**. Is it normal to receive fixture changes from the Live Odds producer?**

Yes, the live odds producer will send fixture changes if e.g. A match goes from *unbookable* to *bookable*.

**Q7: Is the replay server accessible with an integration token during the weekends?**

Yes, we only limit access to the Unified Feed Integration RabbitMQ during weekends.

**Q8: I am receiving&#x20;*****odds\_change*****&#x20;messages from the Live Odds producer before the&#x20;*****handover*****&#x20;message from pre-match, is this normal?**

In most cases the *odds\_change* from the live producers will be sent before the *handover* message. You can ignore pre-match odds changes as long as you deactivate the markets that pre-match offered, and is not offered by the live producer. However, it is best to handle the messages as they are supposed to be. Deactivate the markets which pre-match sends as deactivated, and ignore the markets that pre-match send with status "*handed over".*

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/support-and-history/faq/uof-faq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
